logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

ForbidCDNLiveStream

GET

https://rtc-api.zego.im/

Call this API to forbid CDN stream publishing. This is applicable to direct CDN publishing scenarios. For relay to CDN scenarios, please use the stop relaying streams to CDN API.

Warning

For first-time use of this API, please contact ZEGOCLOUD Technical Support for configuration.

Rate Limit
For all rooms under the same AppID: 20 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [ForbidCDNLiveStream]

    API prototype parameters

    https://rtc-api.zego.im?Action=ForbidCDNLiveStream

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    StreamId stringrequired

    Stream ID.

    ResumeTime string

    The time to resume the stream. UTC format, for example: 2018-11-29T19:00:00Z.
    Note: Only WangSu (ws) supports this parameter. The default banning duration is 1 day, and the maximum supported banning duration is 30 days. For example, if banning for 30 days, the banning duration will be set to: current time + 30 days.

Responses

Success
Schema
    Code number

    Return code. The following only lists some return codes related to the API business logic. For the complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    0Request succeeded.-
    1Request failed.-
    2Parameter error.-
    3Authentication failed.Please check if the authentication parameters are correct.
    Message string

    Operation result description

    RequestId string

    Request ID

    Data object[]
    Response data
  • Array[
  • CdnType string

    CDN type:

    • ws: WangSu
    • aliyun: Alibaba Cloud
    • tencent: Tencent Cloud
    • huawei: Huawei Cloud
    CdnResult string

    CDN processing result

  • ]

Previous

StopCloudTranscode

Next

QueryForbidCDNLiveStream

On this page

Back to top